PHP 7.4 support for phpBB 3.3

https://www.phpbb.com/ideas/
Locked
Author:
Heo32
Posted:
Sat Nov 23, 2019 6:27 pm
Rating:
Status:
New
Heo32
Registered User
Posts: 125
Joined: Sat Jan 07, 2017 10:08 pm

PHP 7.4 support for phpBB 3.3

Post by Heo32 » Sat Nov 23, 2019 6:27 pm

Please refer here for details and the reasoning why it should be supported:

https://www.phpmyadmin.net/news/2019/11 ... -released/
Due to changes in the MySQL authentication method, PHP versions prior to 7.4 are unable to authenticate to a MySQL 8.0 or newer server (our tests show the problem actually began with MySQL 8.0.11). This relates to a PHP bug https://bugs.php.net/bug.php?id=76243. There is a workaround, that is to set your user account to use the current-style password hash method, mysql_native_password. This unfortunate lack of coordination has caused the incompatibility to affect all PHP applications, not just phpMyAdmin. For more details, you can see our bug tracker item at https://github.com/phpmyadmin/phpmyadmin/issues/14220.
In summary, if PHP 7.4 is not supported on phpBB 3.3 in combination with phpMyAdmin (any version) being used, then people will not be able to also use MySQl 8.0.x, which offers better performance and security than MySQL 5.7.x and below, unless mysql_native_password is used.

By chance, is this the planned implementation of PHP 7.4 for phpBB 3.3 and 4.0, Marc? If so, please lock and disregard this suggestion.
https://tracker.phpbb.com/browse/PHPBB3-16115
Is this for you? :arrow: Windows + Nginx + PHP + MySQL + phpBB + WordPress + Cloudflare

Allow using Content-Security-Policy without unsafe-inline
stevemaury wrote:
Sun May 20, 2018 8:16 pm
I went to your board and looked for an hour or so, but did not see the women without underwear.

User avatar
3Di
Former Team Member
Posts: 14487
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: PHP 7.4 support for phpBB 3.3

Post by 3Di » Sat Nov 23, 2019 6:33 pm

3.3.x should be PHP 7.4 ready, you can help testing it out installing the Beta2 which has been released today.

phpBB 3.3.0-b2 released

Any issue should be reported in the tracker.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
✒️ Black Friday 2019 @ The Studio ▪️◾️

User avatar
kinerity
Community Team Member
Community Team Member
Posts: 2408
Joined: Mon Sep 01, 2014 1:00 am
Location: sudo rm -rf /
Name: Kailey Truscott
Contact:

Re: PHP 7.4 support for phpBB 3.3

Post by kinerity » Sun Nov 24, 2019 1:39 pm

Not really an idea. If you find that phpBB 3.3.x does not support PHP 7.4, please report it to the tracker.
Kailey Truscott - Community Team

Locked

Return to “phpBB Ideas”